Page MenuHomePhabricator

Enlightenment crashes when taking Screnshots
Closed, ResolvedPublic

Description

  1. Take a screenshot, set quality to perfect and save the picture to a directory.
  2. Take another screenshot, set quality to perfect and save the picture to the same directory and E crashes.

I tired to get some data from the frame (might have been the wrong one, actually), but this backtrace is massive (and the color codes!).

Name : efl-git
Version : 1.22.99.63120.gbedb6df973-1
Build Date : Wed 21 Aug 2019 11:31:00 AM EDT
Install Date : Wed 21 Aug 2019 11:31:33 AM EDT

Name : enlightenment-git
Version : 0.23.0.23682.gc29dd0f5c-1
Build Date : Wed 21 Aug 2019 11:34:36 AM EDT
Install Date : Wed 21 Aug 2019 11:34:59 AM EDT

Already logging to shotCrash.txt.
#0  0x00007f6cd59c12f2 in pause () from /usr/lib/libpthread.so.0
#1  <signal handler called>
#2  0x00007f6cd5949c87 in __strlen_avx2 () from /usr/lib/libc.so.6
#3  0x00007f6cd6595dcf in _eina_string_key_length (key=<optimized out>) at ../src/lib/eina/eina_hash.c:501
#4  0x00007f6cd6597a3b in _eina_hash_compute (hash=0x561d4d6704a0, hash=0x561d4d6704a0, key_hash=<synthetic pointer>, key_length=<synthetic pointer>, key=0x7f6cca0ac76e) at ../src/lib/eina/eina_hash.c:469
#5  eina_hash_find (key=0x7f6cca0ac76e, hash=0x561d4d6704a0) at ../src/lib/eina/eina_hash.c:1083
#6  eina_hash_find (hash=0x561d4d6704a0, key=0x7f6cca0ac76e) at ../src/lib/eina/eina_hash.c:1068
#7  0x00007f6cd528aa64 in _efl_observable_observer_del (obj=<optimized out>, pd=0x561d4d670490, key=0x7f6cca0ac76e <error: Cannot access memory at address 0x7f6cca0ac76e>, obs=<optimized out>) at ../src/lib/efl/interfaces/efl_observer.c:72
#8  0x00007f6cd5289f4b in efl_observable_observer_del (obj=0x400000004b33, key=0x7f6cca0ac76e <error: Cannot access memory at address 0x7f6cca0ac76e>, obs=0x4000005cdbc4) at src/lib/efl/interfaces/efl_observable.eo.c:8
#9  0x00007f6cd5ae3f8d in _edje_color_class_on_del (ed=ed@entry=0x561d4f3936a0, ep=ep@entry=0x561d4ea8e990) at ../src/lib/edje/edje_util.c:5796
#10 0x00007f6cd5ac0f68 in _edje_file_del (ed=ed@entry=0x561d4f3936a0) at ../src/lib/edje/edje_load.c:2156
#11 0x00007f6cd5ad9ff2 in _efl_canvas_layout_efl_canvas_group_group_del (obj=0x4000005cdbc4, ed=0x561d4f3936a0) at ../src/lib/edje/edje_smart.c:182
#12 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000005cdbc4) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#13 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000005cdbc4) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#14 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005cdbc4, obj=0x561d4f3934e0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#15 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005cdbc4) at src/lib/eo/efl_object.eo.c:164
#16 0x00007f6cd5ada3e0 in _efl_canvas_layout_efl_object_invalidate (obj=0x4000005cdbc4, ed=0x561d4f3936a0) at ../src/lib/edje/edje_smart.c:59
#17 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005cdbc4) at src/lib/eo/efl_object.eo.c:164
#18 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f393450) at ../src/lib/eo/eo_base_class.c:203
#19 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005cdbc4, pd=0x561d4f393490, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#20 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005cdbc4, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#21 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005cdbc4, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#22 0x00007f6cd52c8489 in efl_del (obj=0x4000005cdbc4) at ../src/lib/eo/eo_base_class.c:687
#23 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#24 0x0000561d4b5e1a9f in _e_fm2_icon_unrealize (ic=ic@entry=0x561d4f1df620) at ../src/bin/e_fm.c:5044
#25 0x0000561d4b5e933c in _e_fm2_icon_unrealize (ic=0x561d4f1df620) at ../src/bin/e_fm.c:5036
#26 _e_fm2_icon_free (ic=0x561d4f1df620) at ../src/bin/e_fm.c:4860
#27 0x0000561d4b5ea7c0 in _e_fm2_icons_free (obj=0x4000005e397f) at ../src/bin/e_fm.c:4405
#28 0x0000561d4b5ea904 in _e_fm2_smart_del (obj=0x4000005e397f) at ../src/bin/e_fm.c:8650
#29 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000005e397f) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#30 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005e397f, obj=0x561d4f199f20) at ../src/lib/evas/canvas/evas_object_main.c:1142
#31 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005e397f) at src/lib/eo/efl_object.eo.c:164
#32 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f199e90) at ../src/lib/eo/eo_base_class.c:203
#33 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005e397f, pd=0x561d4f199ed0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#34 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005e397f, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#35 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005e397f, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#36 0x00007f6cd52c8489 in efl_del (obj=0x4000005e397f) at ../src/lib/eo/eo_base_class.c:687
#37 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#38 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#39 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000005f0db4) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#40 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005f0db4, obj=0x561d4f1a35c0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#41 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005f0db4) at src/lib/eo/efl_object.eo.c:164
#42 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f1a3530) at ../src/lib/eo/eo_base_class.c:203
#43 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005f0db4, pd=0x561d4f1a3570, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#44 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005f0db4, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#45 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005f0db4, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#46 0x00007f6cd52c8489 in efl_del (obj=0x4000005f0db4) at ../src/lib/eo/eo_base_class.c:687
#47 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#48 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000004e2d7b, sd=0x561d4f099e10) at ../src/lib/elementary/efl_ui_widget.c:764
#49 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#50 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#51 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#52 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000004e2d7b, obj=0x561d4f099c50) at ../src/lib/evas/canvas/evas_object_main.c:1142
#53 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#54 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#55 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000004e2d7b, pd=0x561d4f099e10) at ../src/lib/elementary/efl_ui_widget.c:6056
#56 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#57 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000004e2d7b, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#58 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#59 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f099bc0) at ../src/lib/eo/eo_base_class.c:203
#60 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000004e2d7b, pd=0x561d4f099c00, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#61 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000004e2d7b, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#62 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000004e2d7b, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#63 0x00007f6cd52c8489 in efl_del (obj=0x4000004e2d7b) at ../src/lib/eo/eo_base_class.c:687
#64 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#65 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#66 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000004e297a) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#67 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000004e297a, obj=0x561d4eb988d0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#68 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e297a) at src/lib/eo/efl_object.eo.c:164
#69 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4eb98840) at ../src/lib/eo/eo_base_class.c:203
#70 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000004e297a, pd=0x561d4eb98880, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#71 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000004e297a, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#72 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000004e297a, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#73 0x00007f6cd52c8489 in efl_del (obj=0x4000004e297a) at ../src/lib/eo/eo_base_class.c:687
#74 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#75 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000002e900b, sd=0x561d4e9e0a50) at ../src/lib/elementary/efl_ui_widget.c:764
#76 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#77 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#78 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#79 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000002e900b, obj=0x561d4e9e0890) at ../src/lib/evas/canvas/evas_object_main.c:1142
#80 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#81 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#82 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000002e900b, pd=0x561d4e9e0a50) at ../src/lib/elementary/efl_ui_widget.c:6056
#83 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#84 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000002e900b, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#85 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#86 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e0800) at ../src/lib/eo/eo_base_class.c:203
#87 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000002e900b, pd=0x561d4e9e0840, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#88 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000002e900b, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#89 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000002e900b, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#90 0x00007f6cd52c8489 in efl_del (obj=0x4000002e900b) at ../src/lib/eo/eo_base_class.c:687
#91 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#92 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#93 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x40000024880a) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#94 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x40000024880a, obj=0x561d4e9e0590) at ../src/lib/evas/canvas/evas_object_main.c:1142
#95 0x00007f6cd52c04cb in efl_invalidate (obj=0x40000024880a) at src/lib/eo/efl_object.eo.c:164
#96 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e0500) at ../src/lib/eo/eo_base_class.c:203
#97 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x40000024880a, pd=0x561d4e9e0540, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#98 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x40000024880a, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#99 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x40000024880a, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#100 0x00007f6cd52c8489 in efl_del (obj=0x40000024880a) at ../src/lib/eo/eo_base_class.c:687
#101 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#102 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#103 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x400000355c09) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#104 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x400000355c09, obj=0x561d4e8b5a40) at ../src/lib/evas/canvas/evas_object_main.c:1142
#105 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000355c09) at src/lib/eo/efl_object.eo.c:164
#106 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e8b59b0) at ../src/lib/eo/eo_base_class.c:203
#107 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x400000355c09, pd=0x561d4e8b59f0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#108 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x400000355c09, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#109 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x400000355c09, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#110 0x00007f6cd52c8489 in efl_del (obj=0x400000355c09) at ../src/lib/eo/eo_base_class.c:687
#111 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#112 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x400000297405, sd=0x561d4dc7a6c0) at ../src/lib/elementary/efl_ui_widget.c:764
#113 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x400000297405) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#114 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x400000297405) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#115 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x400000297405) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#116 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x400000297405, obj=0x561d4dc7a500) at ../src/lib/evas/canvas/evas_object_main.c:1142
#117 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000297405) at src/lib/eo/efl_object.eo.c:164
#118 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000297405) at src/lib/eo/efl_object.eo.c:164
#119 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x400000297405, pd=0x561d4dc7a6c0) at ../src/lib/elementary/efl_ui_widget.c:6056
#120 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000297405) at src/lib/eo/efl_object.eo.c:164
#121 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x400000297405, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#122 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000297405) at src/lib/eo/efl_object.eo.c:164
#123 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4dc7a470) at ../src/lib/eo/eo_base_class.c:203
#124 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x400000297405, pd=0x561d4dc7a4b0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#125 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x400000297405, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#126 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x400000297405, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#127 0x00007f6cd52c8489 in efl_del (obj=0x400000297405) at ../src/lib/eo/eo_base_class.c:687
#128 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#129 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000003fbbf6, sd=0x561d4e9e60a0) at ../src/lib/elementary/efl_ui_widget.c:764
#130 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000003fbbf6) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#131 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000003fbbf6) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#132 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000003fbbf6) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#133 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000003fbbf6, obj=0x561d4e9e5ee0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#134 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003fbbf6) at src/lib/eo/efl_object.eo.c:164
#135 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003fbbf6) at src/lib/eo/efl_object.eo.c:164
#136 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000003fbbf6, pd=0x561d4e9e60a0) at ../src/lib/elementary/efl_ui_widget.c:6056
#137 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003fbbf6) at src/lib/eo/efl_object.eo.c:164
#138 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003fbbf6) at src/lib/eo/efl_object.eo.c:164
#139 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e5e50) at ../src/lib/eo/eo_base_class.c:203
#140 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000003fbbf6, pd=0x561d4e9e5e90, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#141 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000003fbbf6, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#142 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000003fbbf6, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#143 0x00007f6cd52c8489 in efl_del (obj=0x4000003fbbf6) at ../src/lib/eo/eo_base_class.c:687
#144 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#145 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#146 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000002267f5) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#147 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000002267f5, obj=0x561d4e9e5bc0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#148 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002267f5) at src/lib/eo/efl_object.eo.c:164
#149 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e5b30) at ../src/lib/eo/eo_base_class.c:203
#150 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000002267f5, pd=0x561d4e9e5b70, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#151 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000002267f5, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#152 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000002267f5, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#153 0x00007f6cd52c8489 in efl_del (obj=0x4000002267f5) at ../src/lib/eo/eo_base_class.c:687
#154 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#155 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000003d53ca, sd=0x561d4e89ad80) at ../src/lib/elementary/efl_ui_widget.c:764
#156 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000003d53ca) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#157 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000003d53ca) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#158 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000003d53ca) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#159 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000003d53ca, obj=0x561d4e89abc0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#160 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003d53ca) at src/lib/eo/efl_object.eo.c:164
#161 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003d53ca) at src/lib/eo/efl_object.eo.c:164
#162 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000003d53ca, pd=0x561d4e89ad80) at ../src/lib/elementary/efl_ui_widget.c:6056
#163 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003d53ca) at src/lib/eo/efl_object.eo.c:164
#164 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000003d53ca, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#165 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000003d53ca) at src/lib/eo/efl_object.eo.c:164
#166 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e89ab30) at ../src/lib/eo/eo_base_class.c:203
#167 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000003d53ca, pd=0x561d4e89ab70, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#168 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000003d53ca, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#169 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000003d53ca, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#170 0x00007f6cd52c8489 in efl_del (obj=0x4000003d53ca) at ../src/lib/eo/eo_base_class.c:687
#171 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#172 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#173 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x40000029f7c9) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#174 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x40000029f7c9, obj=0x561d4e89a960) at ../src/lib/evas/canvas/evas_object_main.c:1142
#175 0x00007f6cd52c04cb in efl_invalidate (obj=0x40000029f7c9) at src/lib/eo/efl_object.eo.c:164
#176 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e89a8d0) at ../src/lib/eo/eo_base_class.c:203
#177 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x40000029f7c9, pd=0x561d4e89a910, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#178 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x40000029f7c9, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#179 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x40000029f7c9, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#180 0x00007f6cd52c8489 in efl_del (obj=0x40000029f7c9) at ../src/lib/eo/eo_base_class.c:687
#181 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#182 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000002173c6, sd=0x561d4e1dc8e0) at ../src/lib/elementary/efl_ui_widget.c:764
#183 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000002173c6) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#184 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000002173c6) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#185 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000002173c6) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#186 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000002173c6, obj=0x561d4e1dc720) at ../src/lib/evas/canvas/evas_object_main.c:1142
#187 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002173c6) at src/lib/eo/efl_object.eo.c:164
#188 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002173c6) at src/lib/eo/efl_object.eo.c:164
#189 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000002173c6, pd=0x561d4e1dc8e0) at ../src/lib/elementary/efl_ui_widget.c:6056
#190 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002173c6) at src/lib/eo/efl_object.eo.c:164
#191 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000002173c6, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#192 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002173c6) at src/lib/eo/efl_object.eo.c:164
#193 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e1dc690) at ../src/lib/eo/eo_base_class.c:203
#194 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000002173c6, pd=0x561d4e1dc6d0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#195 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000002173c6, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#196 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000002173c6, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#197 0x00007f6cd52c8489 in efl_del (obj=0x4000002173c6) at ../src/lib/eo/eo_base_class.c:687
#198 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#199 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#200 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x400000353bc5) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#201 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x400000353bc5, obj=0x561d4e80fc50) at ../src/lib/evas/canvas/evas_object_main.c:1142
#202 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000353bc5) at src/lib/eo/efl_object.eo.c:164
#203 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e80fbc0) at ../src/lib/eo/eo_base_class.c:203
#204 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x400000353bc5, pd=0x561d4e80fc00, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#205 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x400000353bc5, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#206 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x400000353bc5, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#207 0x00007f6cd52c8489 in efl_del (obj=0x400000353bc5) at ../src/lib/eo/eo_base_class.c:687
#208 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#209 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#210 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x40000022a7c4) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#211 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x40000022a7c4, obj=0x561d4e80f8a0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#212 0x00007f6cd52c04cb in efl_invalidate (obj=0x40000022a7c4) at src/lib/eo/efl_object.eo.c:164
#213 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e80f810) at ../src/lib/eo/eo_base_class.c:203
#214 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x40000022a7c4, pd=0x561d4e80f850, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#215 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x40000022a7c4, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#216 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x40000022a7c4, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#217 0x00007f6cd52c8489 in efl_del (obj=0x40000022a7c4) at ../src/lib/eo/eo_base_class.c:687
#218 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#219 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x400000348bb5, sd=0x561d4e3e8fa0) at ../src/lib/elementary/efl_ui_widget.c:764
#220 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x400000348bb5) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#221 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x400000348bb5) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#222 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x400000348bb5) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#223 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x400000348bb5, obj=0x561d4e3e8de0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#224 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000348bb5) at src/lib/eo/efl_object.eo.c:164
#225 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000348bb5) at src/lib/eo/efl_object.eo.c:164
#226 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x400000348bb5, pd=0x561d4e3e8fa0) at ../src/lib/elementary/efl_ui_widget.c:6056
#227 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000348bb5) at src/lib/eo/efl_object.eo.c:164
#228 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000348bb5) at src/lib/eo/efl_object.eo.c:164
#229 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e3e8d50) at ../src/lib/eo/eo_base_class.c:203
#230 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x400000348bb5, pd=0x561d4e3e8d90, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#231 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x400000348bb5, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#232 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x400000348bb5, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#233 0x00007f6cd52c8489 in efl_del (obj=0x400000348bb5) at ../src/lib/eo/eo_base_class.c:687
#234 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#235 0x0000561d4b5ce845 in _e_dialog_free (dia=0x561d4e9043e0) at ../src/bin/e_dialog.c:278
#236 0x0000561d4b6496f5 in e_object_free (obj=0x561d4e9043e0) at ../src/bin/e_object.c:153
#237 e_object_unref (obj=0x561d4e9043e0) at ../src/bin/e_object.c:153
#238 0x0000561d4b6497ed in e_object_del (obj=<optimized out>) at ../src/bin/e_object.c:60
#239 0x0000561d4b66afde in _e_util_cb_delayed_del (data=<optimized out>) at ../src/bin/e_utils.c:729
#240 0x00007f6cd64c0c60 in _ecore_call_task_cb (data=<optimized out>, func=<optimized out>) at ../src/lib/ecore/ecore_private.h:464
#241 _ecore_factorized_idle_process (data=0x561d4d56fd40, event=<optimized out>) at ../src/lib/ecore/ecore_idler.c:35
#242 0x00007f6cd52c4534 in _event_callback_call (obj_id=0x400000000321, pd=0x561d4d561810, desc=<optimized out>, event_info=<optimized out>, legacy_compare=<optimized out>) at ../src/lib/eo/eo_base_class.c:1737
#243 0x00007f6cd52bf4e1 in efl_event_callback_call (obj=obj@entry=0x400000000321, desc=0x7f6cd652a490 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=event_info@entry=0x0) at ../src/lib/eo/eo_base_class.c:1824
#244 0x00007f6cd64c3042 in _ecore_main_loop_iterate_internal (obj=obj@entry=0x400000000321, pd=pd@entry=0x561d4d561880, once_only=once_only@entry=0) at ../src/lib/ecore/ecore_main.c:2411
#245 0x00007f6cd64c3995 in _ecore_main_loop_begin (obj=0x400000000321, pd=pd@entry=0x561d4d561880) at ../src/lib/ecore/ecore_main.c:1199
#246 0x00007f6cd64c899a in _efl_loop_begin (obj=<optimized out>, pd=0x561d4d561880) at ../src/lib/ecore/efl_loop.c:57
#247 0x00007f6cd64c7c21 in efl_loop_begin (obj=0x400000000321) at src/lib/ecore/efl_loop.eo.c:28
#248 0x00007f6cd64c3a7a in ecore_main_loop_begin () at ../src/lib/ecore/ecore_main.c:1284
#249 0x0000561d4b57d8d0 in main (argc=<optimized out>, argv=<optimized out>) at ../src/bin/e_main.c:1096
#0  0x00007f6cd59c12f2 in pause () from /usr/lib/libpthread.so.0
#1  <signal handler called>
#2  0x00007f6cd5949c87 in __strlen_avx2 () from /usr/lib/libc.so.6
#3  0x00007f6cd6595dcf in _eina_string_key_length (key=<optimized out>) at ../src/lib/eina/eina_hash.c:501
#4  0x00007f6cd6597a3b in _eina_hash_compute (hash=0x561d4d6704a0, hash=0x561d4d6704a0, key_hash=<synthetic pointer>, key_length=<synthetic pointer>, key=0x7f6cca0ac76e) at ../src/lib/eina/eina_hash.c:469
#5  eina_hash_find (key=0x7f6cca0ac76e, hash=0x561d4d6704a0) at ../src/lib/eina/eina_hash.c:1083
#6  eina_hash_find (hash=0x561d4d6704a0, key=0x7f6cca0ac76e) at ../src/lib/eina/eina_hash.c:1068
#7  0x00007f6cd528aa64 in _efl_observable_observer_del (obj=<optimized out>, pd=0x561d4d670490, key=0x7f6cca0ac76e <error: Cannot access memory at address 0x7f6cca0ac76e>, obs=<optimized out>) at ../src/lib/efl/interfaces/efl_observer.c:72
#8  0x00007f6cd5289f4b in efl_observable_observer_del (obj=0x400000004b33, key=0x7f6cca0ac76e <error: Cannot access memory at address 0x7f6cca0ac76e>, obs=0x4000005cdbc4) at src/lib/efl/interfaces/efl_observable.eo.c:8
#9  0x00007f6cd5ae3f8d in _edje_color_class_on_del (ed=ed@entry=0x561d4f3936a0, ep=ep@entry=0x561d4ea8e990) at ../src/lib/edje/edje_util.c:5796
#10 0x00007f6cd5ac0f68 in _edje_file_del (ed=ed@entry=0x561d4f3936a0) at ../src/lib/edje/edje_load.c:2156
#11 0x00007f6cd5ad9ff2 in _efl_canvas_layout_efl_canvas_group_group_del (obj=0x4000005cdbc4, ed=0x561d4f3936a0) at ../src/lib/edje/edje_smart.c:182
#12 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000005cdbc4) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#13 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000005cdbc4) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#14 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005cdbc4, obj=0x561d4f3934e0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#15 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005cdbc4) at src/lib/eo/efl_object.eo.c:164
#16 0x00007f6cd5ada3e0 in _efl_canvas_layout_efl_object_invalidate (obj=0x4000005cdbc4, ed=0x561d4f3936a0) at ../src/lib/edje/edje_smart.c:59
#17 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005cdbc4) at src/lib/eo/efl_object.eo.c:164
#18 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f393450) at ../src/lib/eo/eo_base_class.c:203
#19 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005cdbc4, pd=0x561d4f393490, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#20 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005cdbc4, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#21 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005cdbc4, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#22 0x00007f6cd52c8489 in efl_del (obj=0x4000005cdbc4) at ../src/lib/eo/eo_base_class.c:687
#23 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#24 0x0000561d4b5e1a9f in _e_fm2_icon_unrealize (ic=ic@entry=0x561d4f1df620) at ../src/bin/e_fm.c:5044
#25 0x0000561d4b5e933c in _e_fm2_icon_unrealize (ic=0x561d4f1df620) at ../src/bin/e_fm.c:5036
#26 _e_fm2_icon_free (ic=0x561d4f1df620) at ../src/bin/e_fm.c:4860
#27 0x0000561d4b5ea7c0 in _e_fm2_icons_free (obj=0x4000005e397f) at ../src/bin/e_fm.c:4405
#28 0x0000561d4b5ea904 in _e_fm2_smart_del (obj=0x4000005e397f) at ../src/bin/e_fm.c:8650
#29 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000005e397f) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#30 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005e397f, obj=0x561d4f199f20) at ../src/lib/evas/canvas/evas_object_main.c:1142
#31 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005e397f) at src/lib/eo/efl_object.eo.c:164
#32 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f199e90) at ../src/lib/eo/eo_base_class.c:203
#33 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005e397f, pd=0x561d4f199ed0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#34 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005e397f, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#35 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005e397f, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#36 0x00007f6cd52c8489 in efl_del (obj=0x4000005e397f) at ../src/lib/eo/eo_base_class.c:687
#37 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#38 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#39 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000005f0db4) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#40 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000005f0db4, obj=0x561d4f1a35c0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#41 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000005f0db4) at src/lib/eo/efl_object.eo.c:164
#42 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f1a3530) at ../src/lib/eo/eo_base_class.c:203
#43 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000005f0db4, pd=0x561d4f1a3570, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#44 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000005f0db4, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#45 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000005f0db4, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#46 0x00007f6cd52c8489 in efl_del (obj=0x4000005f0db4) at ../src/lib/eo/eo_base_class.c:687
#47 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#48 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000004e2d7b, sd=0x561d4f099e10) at ../src/lib/elementary/efl_ui_widget.c:764
#49 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#50 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#51 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000004e2d7b) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#52 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000004e2d7b, obj=0x561d4f099c50) at ../src/lib/evas/canvas/evas_object_main.c:1142
#53 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#54 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#55 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000004e2d7b, pd=0x561d4f099e10) at ../src/lib/elementary/efl_ui_widget.c:6056
#56 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#57 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000004e2d7b, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#58 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e2d7b) at src/lib/eo/efl_object.eo.c:164
#59 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4f099bc0) at ../src/lib/eo/eo_base_class.c:203
#60 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000004e2d7b, pd=0x561d4f099c00, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#61 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000004e2d7b, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#62 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000004e2d7b, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#63 0x00007f6cd52c8489 in efl_del (obj=0x4000004e2d7b) at ../src/lib/eo/eo_base_class.c:687
#64 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#65 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#66 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x4000004e297a) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#67 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000004e297a, obj=0x561d4eb988d0) at ../src/lib/evas/canvas/evas_object_main.c:1142
#68 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000004e297a) at src/lib/eo/efl_object.eo.c:164
#69 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4eb98840) at ../src/lib/eo/eo_base_class.c:203
#70 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000004e297a, pd=0x561d4eb98880, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#71 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000004e297a, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#72 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000004e297a, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#73 0x00007f6cd52c8489 in efl_del (obj=0x4000004e297a) at ../src/lib/eo/eo_base_class.c:687
#74 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#75 0x00007f6cd5e365c1 in _efl_ui_widget_efl_canvas_group_group_del (obj=0x4000002e900b, sd=0x561d4e9e0a50) at ../src/lib/elementary/efl_ui_widget.c:764
#76 0x00007f6cd61d942b in efl_canvas_group_del (obj=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#77 0x00007f6cd61d942b in efl_canvas_group_del (obj=obj@entry=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1865
#78 0x00007f6cd61dd0b9 in evas_object_smart_del (eo_obj=0x4000002e900b) at ../src/lib/evas/canvas/evas_object_smart.c:1313
#79 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x4000002e900b, obj=0x561d4e9e0890) at ../src/lib/evas/canvas/evas_object_main.c:1142
#80 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#81 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#82 0x00007f6cd5e375a7 in _efl_ui_widget_efl_object_invalidate (obj=0x4000002e900b, pd=0x561d4e9e0a50) at ../src/lib/elementary/efl_ui_widget.c:6056
#83 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#84 0x00007f6cd5e93f1f in _efl_ui_focus_composition_efl_object_invalidate (obj=0x4000002e900b, pd=<optimized out>) at ../src/lib/elementary/efl_ui_focus_composition.c:214
#85 0x00007f6cd52c04cb in efl_invalidate (obj=0x4000002e900b) at src/lib/eo/efl_object.eo.c:164
#86 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e0800) at ../src/lib/eo/eo_base_class.c:203
#87 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x4000002e900b, pd=0x561d4e9e0840, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#88 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x4000002e900b, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#89 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x4000002e900b, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#90 0x00007f6cd52c8489 in efl_del (obj=0x4000002e900b) at ../src/lib/eo/eo_base_class.c:687
#91 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#92 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#93 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x40000024880a) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#94 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x40000024880a, obj=0x561d4e9e0590) at ../src/lib/evas/canvas/evas_object_main.c:1142
#95 0x00007f6cd52c04cb in efl_invalidate (obj=0x40000024880a) at src/lib/eo/efl_object.eo.c:164
#96 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e9e0500) at ../src/lib/eo/eo_base_class.c:203
#97 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x40000024880a, pd=0x561d4e9e0540, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#98 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x40000024880a, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#99 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x40000024880a, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#100 0x00007f6cd52c8489 in efl_del (obj=0x40000024880a) at ../src/lib/eo/eo_base_class.c:687
#101 0x00007f6cd61cc502 in evas_object_del (obj=<optimized out>) at ../src/lib/evas/canvas/evas_object_main.c:981
#102 0x0000561d4b66f8e6 in _e_smart_del (obj=<optimized out>) at ../src/bin/e_widget.c:558
#103 0x00007f6cd61dd022 in evas_object_smart_del (eo_obj=0x400000355c09) at ../src/lib/evas/canvas/evas_object_smart.c:1308
#104 0x00007f6cd61cd5b9 in _efl_canvas_object_efl_object_invalidate (eo_obj=0x400000355c09, obj=0x561d4e8b5a40) at ../src/lib/evas/canvas/evas_object_main.c:1142
#105 0x00007f6cd52c04cb in efl_invalidate (obj=0x400000355c09) at src/lib/eo/efl_object.eo.c:164
#106 0x00007f6cd52c7f16 in _efl_invalidate (obj=obj@entry=0x561d4e8b59b0) at ../src/lib/eo/eo_base_class.c:203
#107 0x00007f6cd52c8388 in _efl_object_parent_set (obj=0x400000355c09, pd=0x561d4e8b59f0, parent_id=0x0) at ../src/lib/eo/eo_base_class.c:735
#108 0x00007f6cd52bf6d3 in efl_parent_set (obj=0x400000355c09, parent=0x0) at src/lib/eo/efl_object.eo.c:16
#109 0x00007f6cd52bf6d3 in efl_parent_set (obj=obj@entry=0x400000355c09, parent=parent@entry=0x0) at src/lib/eo/efl_object.eo.c:16
#110 0x00007f6cd52c8489 in efl_del (obj=0x400000355c09) at ../src/lib/eo/eo_base_class.c:687
Quit
#2  0x00007f6cd5949c87 in __strlen_avx2 () from /usr/lib/libc.so.6
204	        e_util_env_set("XDG_MENU_PREFIX", "e-");
205	     }
206	}
207	
208	static Eina_Bool
209	_e_main_shelf_init_job(void *data EINA_UNUSED)
210	{
211	   e_shelf_config_update();
212	   return ECORE_CALLBACK_CANCEL;
213	}
quit
Detaching from program: /usr/bin/enlightenment, process 1458
[Inferior 1 (process 1458) detached]
abyomi0 created this task.Aug 21 2019, 7:17 AM

Whelp. Even without optimization, Frame 3 is a problem.

#3  0x00007fa8509404b7 in _eina_string_key_length (key=0x7fa84419e7c4 <error: Cannot access memory at address 0x7fa84419e7c4>) at ../src/lib/eina/eina_hash.c:501

Currently trying to get more info with ASAN.

abyomi0 updated the task description. (Show Details)Aug 21 2019, 8:53 AM
abyomi0 added a project: enlightenment-git.

can you try again after my commits that fixed a bunch of things that could have led to heap issues? once something is messing the heap (or even stack) up... it's kind of unreliable as to what else it may damage along the way.

just fyi... i saved perfect shots in my desktop dir 3 times in a row - no crash and i have asan on 24x7 on my desktop. so... i'm not seeing it.

abyomi0 closed this task as Resolved.Aug 22 2019, 10:14 AM
abyomi0 claimed this task.

can you try again after my commits that fixed a bunch of things that could have led to heap issues? once something is messing the heap (or even stack) up... it's kind of unreliable as to what else it may damage along the way.

just fyi... i saved perfect shots in my desktop dir 3 times in a row - no crash and i have asan on 24x7 on my desktop. so... i'm not seeing it.

It doesn't crash for me either after those patches.